#!/bin/sh

echo "DFB data suffixes:"
find $DFB1 $DFB2 -name "*.*b" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
find $DFB1 $DFB2 -name "*.?r" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
find $DFB1 $DFB2 -name "*.?f" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
echo " "
echo "WBC data suffixes:"
find $WBC $WBC2 -name "*.*b" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
find $WBC $WBC2 -name "*.?r" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
find $WBC $WBC2 -name "*.?f" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
echo " "
echo "CPSR data suffixes:"
find $CP1 $CP2 -name "*.*b" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
find $CP1 $CP2 -name "*.?r" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
find $CP1 $CP2 -name "*.?f" -printf "%f\n" | awk '{gsub("[0-9_:-]+","*"); print $1}' | sort | uniq
echo " "
